#!/bin/bash

THT_ROOT="/usr/share/openstack-tripleo-heat-templates/"
TEMPLATES_DIR="/home/stack/templates/"

openstack overcloud deploy \
  --templates \
  -r $TEMPLATES_DIR/roles_data.yaml \
  -n $TEMPLATES_DIR/custom_network_data.yaml \
  -e $TEMPLATES_DIR/01_core_params.yaml \
  -e $TEMPLATES_DIR/10_identity_params.yaml \
  -e $TEMPLATES_DIR/12_networking_params.yaml \
  -e $TEMPLATES_DIR/13_compute_params.yaml \
  -e $TEMPLATES_DIR/17_timezone_params.yaml \
  -e $TEMPLATES_DIR/ips-from-pool-all.yaml \
  -e $TEMPLATES_DIR/network-environment.yaml \
  -e $TEMPLATES_DIR/scheduler_hints_env.yaml \
  -e $TEMPLATES_DIR/custom-domain.yaml \
  -e $TEMPLATES_DIR/overcloud_images.yaml \
  -e $TEMPLATES_DIR/rhel-registration/environment-rhel-registration.yaml \
  -e $TEMPLATES_DIR/rhel-registration/rhel-registration-resource-registry.yaml \
  -e $THT_ROOT/environments/network-isolation.yaml \
  -e $THT_ROOT/environments/host-config-and-reboot.yaml \
  -e $THT_ROOT/environments/neutron-sriov.yaml \
  -e $THT_ROOT/environments/neutron-ovs-dpdk.yaml \
  -t 60

